org.eclipse.actf.util.win32.comclutch

## Interface IServiceProvider

All Superinterfaces:
  IResource, IUnknown

    public interface IServiceProvider
    extends IUnknown

Wrapper for IServiceProvider object see http://msdn.microsoft.com/en-us/library/system.iserviceprovider.aspx

### Field Summary

### Fields inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`IID_IAccessible, IID_IHTMLElement, IID_IOleContainer, IID_IServiceProvider, IID_IWebBrowser2`

### Method Summary

Methods
`IUnknown` `queryService(UUID guidService, UUID riid)`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IUnknown

`addRef, getTotalRefCount, newIUnknown, queryInterface, release`

### Methods inherited from interface org.eclipse.actf.util.win32.comclutch.IResource

`addResource, findInResource, getPtr, getResourceManager, isPermanent`

### Method Detail

#### queryService

    IUnknown queryService(UUID guidService,
                        UUID riid)